Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.view
Interface IProjectViewManager

    com.change_vision.jude.api.inf.view.IProjectViewManager

    public IProjectViewManager

Interface to manage Astah project view. This class can be used with plugin only.

Method Summary
`abstract void` | `addEntitySelectionListener(IEntitySelectionListener listener)` Add IEntitySelectionListener to receive the event.
`abstract IEntity[]` | `getSelectedEntities()` Get selected entities in the ProjectView.
`abstract void` | `removeEntitySelectionListener(IEntitySelectionListener listener)` Remove IEntitySelectionListener.
`abstract void` | `showInPropertyView(IElement model)` Show the property view of the model.
`abstract void` | `showInStructureTree(IElement model)` Show the model in the Structure Tree.

Method Detail

### showInStructureTree

    abstract void showInStructureTree(IElement model)

  Show the model in the Structure Tree.

  Parameters:
    `model` - Model

### showInPropertyView

    abstract void showInPropertyView(IElement model)

  Show the property view of the model.

  Parameters:
    `model` - Model

### getSelectedEntities

    abstract IEntity[] getSelectedEntities()

  Get selected entities in the ProjectView.

  Returns:
    Selected entities.

### addEntitySelectionListener

    abstract void addEntitySelectionListener(IEntitySelectionListener listener)

  Add IEntitySelectionListener to receive the event.

  Parameters:
    `listener` - Listener of the IEntitySelectionEvent
  Since:
    6.6

### removeEntitySelectionListener

    abstract void removeEntitySelectionListener(IEntitySelectionListener listener)

  Remove IEntitySelectionListener.

  Parameters:
    `listener` - Listener of the IEntitySelectionEvent
  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD